Package ru.bitel.bgbilling.modules.card.server.bean

# Class CardAction

java.lang.Object
ru.bitel.bgbilling.modules.card.server.bean.CardAction

public class CardAction extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CardAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCardCount()`
  `float`
  `getCardSumma()`
  `float`
  `getCost()`
  `int`
  `getDealerId()`
  `String`
  `getDealerTitle()`
  `Document`
  `getDoc()`
  `int`
  `getId()`
  `Calendar`
  `getTime()`
  `int`
  `getType()`
  `int`
  `getUserId()`
  `CardAction`
  `setCardCount(int cardCount)`
  `CardAction`
  `setCardSumma(float cardSumma)`
  `CardAction`
  `setCost(float cost)`
  `CardAction`
  `setDealerId(int dealerId)`
  `CardAction`
  `setDealerTitle(String dealerTitle)`
  `CardAction`
  `setDoc(Document doc)`
  `CardAction`
  `setId(int id)`
  `CardAction`
  `setTime(Calendar time)`
  `CardAction`
  `setType(int type)`
  `CardAction`
  `setUserId(int userId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CardAction

    public CardAction()

- ## Method Details

  - ### getDoc

    public Document getDoc()

  - ### setDoc

    public CardAction setDoc(Document doc)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public CardAction setUserId(int userId)

  - ### getCardCount

    public int getCardCount()

  - ### setCardCount

    public CardAction setCardCount(int cardCount)

  - ### getCardSumma

    public float getCardSumma()

  - ### setCardSumma

    public CardAction setCardSumma(float cardSumma)

  - ### getCost

    public float getCost()

  - ### setCost

    public CardAction setCost(float cost)

  - ### getDealerId

    public int getDealerId()

  - ### setDealerId

    public CardAction setDealerId(int dealerId)

  - ### getTime

    public Calendar getTime()

  - ### setTime

    public CardAction setTime(Calendar time)

  - ### getType

    public int getType()

  - ### setType

    public CardAction setType(int type)

  - ### getId

    public int getId()

  - ### setId

    public CardAction setId(int id)

  - ### getDealerTitle

    public String getDealerTitle()

  - ### setDealerTitle

    public CardAction setDealerTitle(String dealerTitle)